Get Preset
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/presets/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/presets/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/presets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preset": {
"attachmentConfig": {},
"configOverrides": [
{
"conditionType": {
"matchEntityType": {},
"matchEntityTypeAndSubType": {
"entitySubType": "<string>"
}
},
"messageConfig": {
"fields": [
{
"fieldName": "title",
"template": "{{alert.status}} {{alertDef.priority}} - {{alertDef.name}}"
}
]
},
"payloadType": "<string>"
}
],
"createTime": "2023-11-07T05:31:56Z",
"description": "Custom preset for alerts",
"id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
"name": "My Preset",
"parentId": "preset_system_slack_alerts_basic",
"updateTime": "2023-11-07T05:31:56Z"
}
}Presets Service
Get Preset
Returns the details of the specified notification preset.
Get Preset
Authorizations
API key authentication
Path Parameters
The unique identifier of the preset to retrieve.
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_-]*$Response
200 - application/json
Response containing the details of a notification preset.
Set of preconfigured templates for notification content rendering
Show child attributes
Show child attributes
Was this page helpful?
⌘I